<?PHP
/**
 * This is a mini CMS.
 * An entity consists of a record (pageElement) in the $sites array and a
 * file (pageElement->fileName) in the source/ directory containing the
 * site's HTML-code.
 * The menu is generated by the array entries (order!). The menu entries
 * are indented as defined by (pageElement->hierarchyDepth).
 *
 * @author <Marc-Oliver Pahl>
 * @version 1.4
 * @date 2010/ 16/ 09
 */


function callback($buffer) 
{
  // The following would enable the typography plugin from
  // http://kingdesk.com/projects/php-typography/
  //
  // If you want to use this plugin place it here:
  //  plugins/php-typography/
  //
  // Then uncomment the following lines and comment the last one out.
  //
  //include('plugins/php-typography/php-typography.php');
  //$typo = new phpTypography();
  //$typo->set_hyphenation_language("de"); // onls necessary to set the language for hyphenation etc.
  //return $typo->process(utf8_encode($buffer));
  return utf8_encode($buffer); // encode in utf-8
}
ob_start("callback");


if ( version_compare( "4.3.0", phpversion(), ">=" ) ) trigger_error( "You need at least PHP 4.3 to run the miniCMS!", E_USER_ERROR );

require( 'includes/pageElement.inc' ); // Definition of the pageElement-class.
require( 'includes/externalLinkElement.inc' ); // Definition of the externalLinkElement-class.

// Error constants:
$ERROR = Array( 
                "fileNotFound" => "Your requested page could not be found.",
                "fileNotFoundMnu" => "Not existing..."
                );

// Content language type for respective meta tag:
$contentLanguageID = 'en';

// Directory for the body sources defined by $currentPage->getFileName()
$srcDir = 'src/';

// Extension of the body source files
$srcExt = '.html';

require( 'includes/menuLogic.inc' );
header('Content-Type: text/html; charset=UTF-8;');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
  <meta http-equiv="Content-Language" content="<?PHP echo( $contentLanguageID ); ?>">
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8" >
  <title><?PHP echo( $currentPage->getTitle() ); ?></title>
  <meta name="keywords" lang="<?PHP echo( $contentLanguageID ); ?>" content="<?PHP echo( $currentPage->getMetaKeywords() ); ?>">
  <meta name="description" lang="<?PHP echo( $contentLanguageID ); ?>" content="<?PHP echo( $currentPage->getMetaDesc() ); ?>">  
  <link rel=stylesheet type="text/css" href="css/miniCMS.css">
  <link rel=stylesheet type="text/css" href="css/userstyles.css">
  <link rel=stylesheet type="text/css" href="css/miniCMSprint.css" media="print">
</head>
<body>
<!-- your surroundings -->

  <table align="center" class="wsitable" cellspacing="0" cellpadding="0">
    <tr>
      <td class="left"><a href="http://www.uni-tuebingen.de">universit&auml;t-t&uuml;bingen</a></td>
      <td class="right">
<!-- top locator -->
        <a href="http://wsi-pi.uni-tuebingen.de">wsi-pi</a> &gt; 
        <a href="http://wsi.uni-tuebingen.de">wsi</a>
        <?PHP 
          for( $i=0; $i<=$currentMenuDepth; $i++ ) 
            echo( ' &gt; '.'<a href="/?site='.$upperElements[$i]->getFileName().'">'.$upperElements[$i]->getMnuEntry().'</a>' );
        ?>
        
<!-- /top locator -->
      </td>
    </tr>

    <tr class="toprow">
      <td class="theRow" colspan="2">
        <div class="uniLogo">
          <a href="http://www.uni-tuebingen.de" target="_top"><img src="pix/unilogo_schwarz.gif" alt="Eberhard Karls Universit&auml;t T&uuml;bingen" width="160" height="50" border="0"></a>
        </div>
        <div class="fakultaetsLogo">
          <a href="http://www-ti.informatik.uni-tuebingen.de/deutsch/schickard/index.html" target="_self"><img src="pix/wilhelm_schickard.gif" alt="Wilhelm Schickard" width="71" height="50" border="0"></a>
        </div>
        <div class="title">Wilhelm-Schickard-Institut f&uuml;r Informatik</div>
      </td>
    </tr>

    <tr>
      <td class="menu">
<!-- the menu --><div class="mnu">
<?PHP echo( str_replace( "<ul>\n</ul>", '', "<ul>\n".$menuHTMLCode."</ul>\n" ) ); ?>
<!-- /the menu -->

<!-- Suche -->
<FORM method="GET" id="suche" action="http://www.google.de/search" style="margin: 0px; margin-top: 1em; width: 100%; margin-top: 0.5em; text-align: right; padding: 2px;">
  <INPUT TYPE="image" src="pix/lupe.gif" alt="suchen">
  <INPUT TYPE="text" name="q" maxlength="255" onclick="javascript: this.select();" value="Was suchen Sie?" style="background-image: url('pix/fragezeichen.gif'); width: 80%; text-align: left; padding: 2px; font-size: 0.8em; background-color: #ffffff; border: solid 1px #00c1b6;">
  <!-- <INPUT TYPE="text" name="q" maxlength="255" onclick="javascript: this.select();" value="Was suchen Sie?" style="background-image: url('pix/fragezeichen.gif'); width: 213px; margin-bottom: 0.5em; text-align: left; padding: 2px; font-size: 0.8em; background-color: #ffffff; border: solid 1px #00c1b6; border-right: none;"> -->
  <INPUT TYPE="hidden" name="hl" value="de">
  <INPUT TYPE="hidden" name="as_sitesearch" value="informatik.uni-tuebingen.de">
</FORM>
<!-- /Suche -->
<!-- /the menu --></div>
      </td>

      <td class="content">
<!-- main content --><div class="contentBox">

<?PHP 
/****************************************************************
  // GET-PHP-SRC-INTERPRETED
  //
  // If you want to use php-code inside your src-files you can just replace
  // the "readfile" command by "require".
  // For security reasons (p.e. for yourself to know which files contain
  // php code) you can just uncomment the following if-statement.
  // All src-files starting with two underscores __ will be included by
  // require then.
  // So all "__"-starting files will get the "<?php ... ?>" code interpreted.

  if ( substr($currentPage->getFileName(), 0, 2) == '__' )
    require( $srcDir.$currentPage->getFileName().$srcExt );
  else
*****************************************************************/
    readfile( $srcDir.$currentPage->getFileName().$srcExt );
?>

<!-- /main content --></div>
      </td>
    </tr>
    
    <tr>
      <td class="bottomRow" colspan="2">
        <a href="/?site=anregungen_kritik">anregungen/ kritik</a>
        <a href="/?site=impressum">impressum</a>
        <a href="http://minicms.m-o-p.de" target="_blank"><img src="pix/minicms_15x10.gif" width="15" height="10" style="border: 0;" alt="minicms" /></a>
      </td>
    </tr>
  </table>

<!-- /your surroundings -->
</body>

<!-- Served by miniCMS (c)marc-oliver pahl 2005 http://miniCMS.m-o-p.de
     on <?PHP echo( date( 'r' ) );  ?>  -->
</html>